<template>
  <v-card>
    <v-card-title>Global Settings</v-card-title>
    <v-card-text>
      <v-form ref="form">
        <!-- API Endpoint -->
        <v-text-field v-model="settings.apiEndpoint" label="API Endpoint" :rules="urlRules"></v-text-field>

        <!-- Default Docker Registry -->
        <v-text-field v-model="settings.defaultDockerRegistry" label="Default Docker Registry" :rules="urlRules"></v-text-field>

        <!-- Default Project Path -->
        <v-text-field v-model="settings.defaultProjectPath" label="Default Project Path"></v-text-field>

        <!-- Logging Level -->
        <v-select v-model="settings.loggingLevel" :items="loggingLevels" label="Logging Level"></v-select>

        <!-- Enable Analytics -->
        <v-switch v-model="settings.enableAnalytics" label="Enable Analytics"></v-switch>

        <!-- System Timezone -->
        <v-select v-model="settings.timezone" :items="timezones" label="System Timezone"></v-select>

        <!-- Additional settings here -->

      </v-form>
    </v-card-text>
    <v-card-actions>
      <v-btn color="primary" @click="saveSettings">Save</v-btn>
    </v-card-actions>
  </v-card>
</template>

<script>
export default {
  data() {
    return {
      settings: {
        apiEndpoint: '',
        defaultDockerRegistry: '',
        defaultProjectPath: '',
        loggingLevel: '',
        enableAnalytics: false,
        timezone: ''
      },
      loggingLevels: ['DEBUG', 'INFO', 'WARNING', 'ERROR', 'CRITICAL'],
      timezones: ['UTC', 'EST', 'CST', 'MST', 'PST', 'GMT'], // Consider using a library for comprehensive timezone list
      urlRules: [
        v => !!v || 'Required',
        v => /^(http|https):\/\/[^ "]+$/.test(v) || 'Must be a valid URL'
      ]
    };
  },
  methods: {
    saveSettings() {
      // Implement saving logic
    }
  }
};
</script>

<style scoped>
/* Custom styles */
</style>
